<?php

namespace Lc\SovBundle\Repository;

use Lc\SovBundle\Model\Site\PageInterface;

abstract class AbstractStore
{
    public function createQuery($query = null)
    {
        if (is_null($query)) {
            $query = $this->query->create();
        }

        return $query;
    }

    public function getRepositoryQuery()
    {
        return $this->query;
    }

    public function getOneById(int $id)
    {
        $query = $this->query->create();

        $query->filterById($id);

        return $query->findOne();
    }
}
